# Uses of Class
jdk.jshell.DeclarationSnippet

Packages that use DeclarationSnippet
Package
Description
jdk.jshell
Provides interfaces for creating tools, such as a Read-Eval-Print Loop (REPL), which interactively evaluate "snippets" of Java programming language code.

## Uses of DeclarationSnippet in jdk.jshell

Subclasses of DeclarationSnippet in jdk.jshell
Modifier and Type
Class
Description
`class`
`MethodSnippet`
Snippet for a method definition.
`class`
`TypeDeclSnippet`
Snippet for a type definition (a class, interface, enum, or annotation interface definition).
`class`
`VarSnippet`
Snippet for a variable definition.
Methods in jdk.jshell that return DeclarationSnippet
Modifier and Type
Method
Description
`DeclarationSnippet`
UnresolvedReferenceException.`getSnippet()`
Return the Snippet which has the unresolved reference(s).
Methods in jdk.jshell with parameters of type DeclarationSnippet
Modifier and Type
Method
Description
`Stream<String>`
JShell.`unresolvedDependencies(DeclarationSnippet snippet)`
For `RECOVERABLE_DEFINED` or `RECOVERABLE_NOT_DEFINED` declarations, the names of current unresolved dependencies for the snippet.